import { Subscription } from '../../../../types';
export declare class ScSubscriptionCancel {
  heading: string;
  subscriptionId: string;
  backUrl: string;
  successUrl: string;
  subscription: Subscription;
  loading: boolean;
  busy: boolean;
  error: string;
  componentDidLoad(): void;
  fetchItems(): Promise<void>;
  fetchSubscription(): Promise<void>;
  renewSubscription(): Promise<void>;
  renderContent(): any;
  renderLoading(): any;
  render(): any;
}
